package com.jeeww.web.admin.dto.rolemanage;

import java.io.Serializable;

/**
 * 角色信息表 实体类. 作者:蒋文武 创建日期: 2014-03-07 10:23:15
 */
public class RoleManageDTO implements Serializable {
    /**
     * 默认序列.
     */
    private static final long serialVersionUID = 1L;
    /**
     * 角色主键.
     */
    private String roleId;
    /**
     * 角色名称.
     */
    private String roleName;
    /**
     * 角色描述.
     */
    private String roleDesc;
    /**
     * 创建日期.
     */
    private java.util.Date createDate;
    /**
     * 更新日期.
     */
    private java.util.Date updateDate;
    /**
     * 创建人主键.
     */
    private String createUserId;
    /**
     * 更新人主键.
     */
    private String updateUserId;

    /**
     * 获得角色主键的值.
     * @return roleId
     */
    public String getRoleId() {
        return roleId;
    }

    /**
     * 设置角色主键的值.
     * @param roleId parameter roleId
     */
    public void setRoleId(final String roleId) {
        this.roleId = roleId;
    }

    /**
     * 获得角色名称的值.
     * @return roleName
     */
    public String getRoleName() {
        return roleName;
    }

    /**
     * 设置角色名称的值.
     * @param roleName parameter roleName
     */
    public void setRoleName(final String roleName) {
        this.roleName = roleName;
    }

    /**
     * 获得角色描述的值.
     * @return roleDesc
     */
    public String getRoleDesc() {
        return roleDesc;
    }

    /**
     * 设置角色描述的值.
     * @param roleDesc parameter roleDesc
     */
    public void setRoleDesc(final String roleDesc) {
        this.roleDesc = roleDesc;
    }

    /**
     * 获得创建日期的值.
     * @return createDate
     */
    public java.util.Date getCreateDate() {
        return createDate;
    }

    /**
     * 设置创建日期的值.
     * @param createDate parameter createDate
     */
    public void setCreateDate(final java.util.Date createDate) {
        this.createDate = createDate;
    }

    /**
     * 获得更新日期的值.
     * @return updateDate
     */
    public java.util.Date getUpdateDate() {
        return updateDate;
    }

    /**
     * 设置更新日期的值.
     * @param updateDate parameter updateDate
     */
    public void setUpdateDate(final java.util.Date updateDate) {
        this.updateDate = updateDate;
    }

    /**
     * 获得创建人主键的值.
     * @return createUserId
     */
    public String getCreateUserId() {
        return createUserId;
    }

    /**
     * 设置创建人主键的值.
     * @param createUserId parameter createUserId
     */
    public void setCreateUserId(final String createUserId) {
        this.createUserId = createUserId;
    }

    /**
     * 获得更新人主键的值.
     * @return updateUserId
     */
    public String getUpdateUserId() {
        return updateUserId;
    }

    /**
     * 设置更新人主键的值.
     * @param updateUserId parameter updateUserId
     */
    public void setUpdateUserId(final String updateUserId) {
        this.updateUserId = updateUserId;
    }
}
